Bug 769448 - yumex is too lazy in parsing for errors
Summary: yumex is too lazy in parsing for errors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-20 21:16 UTC by Raphael Groner
Modified: 2012-06-02 02:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-24 23:53:14 UTC
Type: ---


Attachments (Terms of Use)
content of failed message box (1.74 KB, text/plain)
2011-12-20 21:16 UTC, Raphael Groner
no flags Details
complete backlog (191.79 KB, text/plain)
2011-12-20 21:16 UTC, Raphael Groner
no flags Details

Description Raphael Groner 2011-12-20 21:16:07 UTC
Created attachment 548941 [details]
content of failed message box

Description of problem:
Yumes does show also old error messages in the failed message popup box. Probably a parser bug.

Version-Release number of selected component (if applicable):
yumex-3.0.4-1.fc16.noarch

How reproducible:
yes

Steps to Reproduce:
1. try to install packages with broken dependencies
2. change selection of packages to install
3. try to install packages with broken dependencies
  
Actual results:
Yumex shows also old erros from the whole backlog.

Expected results:
Show only new error messages from the log.

Additional info:

Comment 1 Raphael Groner 2011-12-20 21:16:43 UTC
Created attachment 548942 [details]
complete backlog

Comment 2 Tim Lauridsen 2011-12-21 07:18:18 UTC
Thanks for reporting

fixed upstream

https://github.com/timlau/yumex/commit/1477814ced643008b75c1f78ee2d42ed3f438bd3

Comment 3 Fedora Update System 2012-05-13 11:09:33 UTC
yumex-3.0.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/yumex-3.0.5-1.fc17

Comment 4 Fedora Update System 2012-05-13 11:09:49 UTC
yumex-3.0.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/yumex-3.0.5-1.fc16

Comment 5 Fedora Update System 2012-05-13 15:31:20 UTC
yumex-3.0.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/yumex-3.0.5-1.el6

Comment 6 Fedora Update System 2012-05-14 00:41:30 UTC
Package yumex-3.0.5-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yumex-3.0.5-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7803/yumex-3.0.5-1.fc17
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-05-14 16:37:53 UTC
yumex-3.0.5-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/yumex-3.0.5-2.fc16

Comment 8 Fedora Update System 2012-05-14 16:38:16 UTC
yumex-3.0.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/yumex-3.0.5-2.fc17

Comment 9 Fedora Update System 2012-05-14 16:38:40 UTC
yumex-3.0.5-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/yumex-3.0.5-2.el6

Comment 10 Fedora Update System 2012-05-24 23:53:14 UTC
yumex-3.0.5-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2012-05-26 08:01:35 UTC
yumex-3.0.5-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2012-06-02 02:38:32 UTC
yumex-3.0.5-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.